slae2.f(3)

NAME
slae2.f -

SYNOPSIS

  Functions/Subroutines
subroutine SLAE2 (A, B, C, RT1, RT2)
SLAE2

Function/Subroutine Documentation

  subroutine SLAE2 (REALA, REALB, REALC, REALRT1, REALRT2)

SLAE2

Purpose:

     SLAE2  computes the eigenvalues of a 2-by-2 symmetric matrix
        [  A   B  ]
        [  B   C  ].
     On return, RT1 is the eigenvalue of larger absolute value, and RT2
     is the eigenvalue of smaller absolute value.

Parameters:
    A

              A is REAL
              The (1,1) element of the 2-by-2 matrix.

    B

              B is REAL
              The (1,2) and (2,1) elements of the 2-by-2 matrix.

    C

              C is REAL
              The (2,2) element of the 2-by-2 matrix.

    RT1

              RT1 is REAL
              The eigenvalue of larger absolute value.

    RT2

              RT2 is REAL
              The eigenvalue of smaller absolute value.

Author:
    Univ'. of Tennessee

    Univ'. of California Berkeley

    Univ'. of Colorado Denver

    NAG Ltd'.

Date:
    November 2011

Further Details:

      RT1 is accurate to a few ulps barring over/underflow.
      RT2 may be inaccurate if there is massive cancellation in the
      determinant A*C-B*B; higher precision or correctly rounded or
      correctly truncated arithmetic would be needed to compute RT2
      accurately in all cases.
      Overflow is possible only if RT1 is within a factor of 5 of overflow.
      Underflow is harmless if the input data is 0 or exceeds
         underflow_threshold / macheps.

Definition at line 103 of file slae2.f'.

Author

Generated automatically by Doxygen for LAPACK from the source code'.